Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.vr
Class QTVRInstance

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.vr.QTVRInstance

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, quicktime.jdirect.QuickTimeVRLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class QTVRInstance
extends QTObject
implements quicktime.jdirect.QuickTimeLib, quicktime.jdirect.QuickTimeVRLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.InterfaceLib

The QTVRInstance is used for making QTVR calls

If an application installs any of the QTVR callbacks, then it must remove these callbacks when it has finished with them (or with the QTVRInstance itself) to allow the native structures used to be properly disposed.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Fields inherited from interface quicktime.jdirect.QuickTimeVRLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`QTVRInstance(Track qtvrTrack, MovieController mc)` You can use the QTVRGetQTVRInstance function to get an instance of a QuickTime VR movie.

Method Summary
`void` | `callInterceptedProc(QTVRInterceptRecord qtvrMsg)` This method is used by the QTVRInterceptor execute method to call the QTVR default proc for the selector that was intercepted.
`float` | `columnToPan(int column)` You can use QTVRColumnToPan to get the pan angle that corresponds to a column number in the object image array.
`void` | `enableHotSpot(int enableFlag, int hotSpotValue, boolean enable)` You can use the QTVREnableHotSpot function to enable or disable one or more hot spots.
`int` | `getAngularUnits()` You can use QTVRGetAngularUnits to get the type of unit currently used when specifying angles.
`float` | `getConstraints_max(int kind)` You can use the QTVRGetConstraints function to get the current constraints of a movie.
`float` | `getConstraints_min(int kind)` You can use the QTVRGetConstraints function to get the current constraints of a movie.
`int` | `getCurrentNodeID()` You can use the QTVRGetCurrentNodeID function to get the current node of a movie.
`float` | `getFieldOfView()` You can use the QTVRGetFieldOfView function to get the vertical field of view of a QuickTime VR movie.
`Region` | `getHotSpotRegion(int hotSpotID)` The QTVRGetHotSpotRegion function returns, in the hotSpotRegion parameter, a handle to the region occupied by the hot spot, in the QuickTimeÊVR movie specified by the qtvr parameter, whose ID is specified by the hotSpotID parameter.
`int` | `getHotSpotType(int hotSpotID)` This method gets the type of a hot spot whose ID you specify.
`int` | `getImagingProperty(int imagingMode, int imagingProperty)` You can use the QTVRGetImagingProperty function to get the current value of an imaging property of a movie.
`AtomContainer` | `getNodeInfo(int nodeID)` You can use the QTVRGetNodeInfo function to get the node information atom container that describes a node and all the hot spots in the node.
`int` | `getNodeType(int nodeID)` You can use the QTVRGetNodeType function to get the OSType of a movie node.
`float` | `getPanAngle()` You can use the QTVRGetPanAngle function to get the pan angle of a QuickTime VR movie.
`float` | `getTiltAngle()` You can use the QTVRGetTiltAngle function to get the tilt angle of a QuickTime VR movie.
`QDPoint` | `getViewCenter()` The getViewCenter method returns, in the QDPoint class, the x and y coordinates of the current view center of the QuickTimeÊVR movie specified by the QTVRInstance you call this on.
`int[]` | `getVisibleHotSpots()` Returns a list of IDs of all the hot spots in the QuickTimeÊVR instance that are currently visible.
`AtomContainer` | `getVRWorld()` The QTVRGetVRWorld function returns an atom container that contains general scene information about the QuickTime VR movie specified, as well as a list of all the nodes in that movie.
`void` | `goToNodeID(int nodeID)` You can use the QTVRGoToNodeID function to set the current node of a movie.
`void` | `installInterceptProc(int selector, QTVRInterceptor interceptProc, int flags)` You can use the QTVRInstallInterceptProc function to install or remove an intercept procedure for a QuickTime VR Manager function QuickTime::QTVRInstallInterceptProc
`void` | `nudge(int direction)` You can use the QTVRNudge function to turn one step in a particular direction and display the new view.
`int` | `panToColumn(float panAngle)` You can use QTVRPanToColumn to get the column number in the object image array that corresponds to a pan angle.
`int` | `ptToHotSpotID(QDPoint pt)` Returns the ID of the hot spot in the QuickTimeÊVR instance that lies directly under the point specified by the pt parameter.
`float` | `ptToPanAngle(QDPoint pt)` You can use QTVRPtToAngles to get the pan angle of a point.
`float` | `ptToTiltAngle(QDPoint pt)` You can use QTVRPtToAngles to get the tilt angle of a point.
`void` | `removeEnteringNodeProc()` You can use the QTVRSetEnteringNodeProc function to remove a node-entering procedure.
`void` | `removeInterceptProc(int selector)` You can use the QTVRInstallInterceptProc function to install or remove an intercept procedure for a QuickTime VR Manager function QuickTime::QTVRInstallInterceptProc
`void` | `removeLeavingNodeProc()` You can use the QTVRSetLeavingNodeProc function to remove a node-leaving procedure.
`void` | `removeMouseOverHotSpotProc()` You can use the QTVRSetMouseOverHotSpotProc function to remove a mouse over hot spot procedure.
`void` | `removePrescreenImagingCompleteProc()` You can use the QTVRSetPrescreenImagingCompleteProc function to remove a prescreen imaging complete proc.
`float` | `rowToTilt(int row)` You can use QTVRRowToTilt to get the tilt angle that corresponds to a row number in the object image array.
`void` | `setAngularUnits(int units)` You can use QTVRSetAngularUnits to set the type of unit used when specifying angles.
`void` | `setConstraints(int kind, float minValue, float maxValue)` You can use the QTVRSetConstraints function to set the constraints of a movie.
`void` | `setEnteringNodeProc(QTVREnteringNode enteringNodeProc, int flags)` You can use the QTVRSetEnteringNodeProc function to install or remove a node-entering procedure.
`void` | `setFieldOfView(float fieldOfView)` You can use the QTVRSetFieldOfView function to set the vertical field of view of a QuickTime VR movie.
`void` | `setImagingProperty(int imagingMode, int imagingProperty, int propertyValue)` You can use the QTVRSetImagingProperty function to set the current value of an imaging property of a movie.
`void` | `setLeavingNodeProc(QTVRLeavingNode leavingNodeProc, int flags)` You can use the QTVRSetLeavingNodeProc function to install or remove a node-leaving procedure.
`void` | `setMouseOverHotSpotProc(QTVRMouseOverHotSpot mouseOverHotSpotProc, int flags)` You can use the QTVRSetMouseOverHotSpotProc function to install or remove a mouse over hot spot procedure QuickTime::QTVRSetMouseOverHotSpotProc
`void` | `setPanAngle(float panAngle)` You can use the QTVRSetPanAngle function to set the pan angle of a QuickTime VR movie.
`void` | `setPrescreenImagingCompleteProc(QTVRImagingComplete imageCompleteProc, int flags)` This method installs a callback that is invoked every time a QTVRInstance is drawn.
`void` | `setTiltAngle(float tiltAngle)` You can use the QTVRSetTiltAngle function to set the tilt angle of a QuickTime VR movie.
`void` | `setViewCenter(QDPoint viewCenter)` The setViewCenter method sets the view center of the QuickTimeÊVR movie specified by the qtvr parameter to the fixed point specified by the viewCenter parameter.
`void` | `showDefaultView()` The showDefaultView method sets the default values of the pan angle, tilt angle, field of view, view center (for object nodes), default state, mouse-down state, and all applicable animation and control settings for the node specified by the QTVRInstance you call this on.
`int` | `tiltToRow(float tiltAngle)` You can use QTVRTiltToRow to get the row number in the object image array that corresponds to a tilt angle.
`void` | `triggerHotSpot(int hotSpotID, AtomContainer nodeInfo, Atom selectedAtom)` You can use the QTVRTriggerHotSpot function to trigger a hot spot.
`void` | `update(int imagingMode)` You can use the QTVRUpdate function to force an immediate update of a QuickTime VR movie image.
`float` | `wrapAndConstrain(int kind, float value)` You can use QTVRWrapAndConstrain to preflight a change in the viewing or control characteristics of an object or panoramic node.

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTVRInstance

    public QTVRInstance(Track qtvrTrack,
                        MovieController mc)
                 throws QTException

  You can use the QTVRGetQTVRInstance function to get an instance of a QuickTime VR movie.
  QuickTime::QTVRGetQTVRInstance
Parameters:
  `qtvrTrack` - A QTVR track contained in a QuickTime movie. You can obtain a reference to this track by calling QTVRGetQTVRTrack
  `mc` - A movie controller that is associated with the new QuickTime VR movie

Method Detail

### getVRWorld

    public AtomContainer getVRWorld()
                             throws QTVRException

  The QTVRGetVRWorld function returns an atom container that contains general scene information about the QuickTime VR movie specified, as well as a list of all the nodes in that movie.
  QuickTime::QTVRGetVRWorld

  Returns:
    the VRWorld AtomContainer

### getNodeInfo

    public AtomContainer getNodeInfo(int nodeID)
                              throws QTVRException

  You can use the QTVRGetNodeInfo function to get the node information atom container that describes a node and all the hot spots in the node.
  QuickTime::QTVRGetNodeInfo

  Parameters:
    `nodeID` - Set this parameter to kQTVRCurrentNode to receive information about the current node
  Returns:
    an atom container that contains information about the specified node.

### getCurrentNodeID

    public int getCurrentNodeID()

  You can use the QTVRGetCurrentNodeID function to get the current node of a movie.
  QuickTime::QTVRGetCurrentNodeID

  Returns:
    the ID of the current node of the specified movie.

### getNodeType

    public int getNodeType(int nodeID)

  You can use the QTVRGetNodeType function to get the OSType of a movie node.
  QuickTime::QTVRGetNodeType

  Parameters:
    `nodeID` - A node ID. Pass kQTVRCurrentNode for the current node.
  Returns:
    the type of the specified node.

### triggerHotSpot

    public void triggerHotSpot(int hotSpotID,
                               AtomContainer nodeInfo,
                               Atom selectedAtom)
                        throws QTVRException

  You can use the QTVRTriggerHotSpot function to trigger a hot spot. Usually, you need only specify the qtvr instance and the hot spot ID. You can pass zero for the nodeInfo and selectedAtom parameters.
  QuickTime::QTVRTriggerHotSpot

  Parameters:
    `hotSpotID` - A hot spot ID.
    `nodeInfo` - A node information atom container (obtained from a previous call to QTVRGetNodeInfo). You can pass the value 0 in this parameter to have the QuickTime VR Manager determine the appropriate node information atom container.
    `selectedAtom` - The atom of the hot spot to trigger. You can pass the value 0 in this parameter to have the QuickTime VR Manager determine the appropriate hot spot atom.

### enableHotSpot

    public void enableHotSpot(int enableFlag,
                              int hotSpotValue,
                              boolean enable)
                       throws QTVRException

  You can use the QTVREnableHotSpot function to enable or disable one or more hot spots.
  QuickTime::QTVREnableHotSpot

  Parameters:
    `enableFlag` - The kind of hot spot or hot spots to enable or disable.
    `hotSpotValue` - The desired hot spot or spots, relative to the specified enabled flag.
    `enable` - A Boolean value that indicates whether the specified hot spots are to be enabled (true) or disabled (false).

### update

    public void update(int imagingMode)
                throws QTVRException

  You can use the QTVRUpdate function to force an immediate update of a QuickTime VR movie image.
  QuickTime::QTVRUpdate

  Parameters:
    `imagingMode` - An imaging mode. You can specify the kQTVRCurrentMode imaging mode to use the current imaging mode.

### goToNodeID

    public void goToNodeID(int nodeID)
                    throws QTVRException

  You can use the QTVRGoToNodeID function to set the current node of a movie.
  QuickTime::QTVRGoToNodeID

  Parameters:
    `nodeID` - The ID of the node you want to be the current node.

### nudge

    public void nudge(int direction)
               throws QTVRException

  You can use the QTVRNudge function to turn one step in a particular direction and display the new view.
  QuickTime::QTVRNudge

  Parameters:
    `direction` - The direction of the nudge.

### getPanAngle

    public float getPanAngle()

  You can use the QTVRGetPanAngle function to get the pan angle of a QuickTime VR movie.
  QuickTime::QTVRGetPanAngle

  Returns:
    a floating-point value that represents the current pan angle of the specified movie.

### setPanAngle

    public void setPanAngle(float panAngle)
                     throws QTVRException

  You can use the QTVRSetPanAngle function to set the pan angle of a QuickTime VR movie.
  QuickTime::QTVRSetPanAngle

  Parameters:
    `panAngle` - The desired pan angle of the specified movie.

### getTiltAngle

    public float getTiltAngle()

  You can use the QTVRGetTiltAngle function to get the tilt angle of a QuickTime VR movie.
  QuickTime::QTVRGetTiltAngle

  Returns:
    a floating-point value that represents the current tilt angle of the specified movie.

### setTiltAngle

    public void setTiltAngle(float tiltAngle)
                      throws QTVRException

  You can use the QTVRSetTiltAngle function to set the tilt angle of a QuickTime VR movie.
  QuickTime::QTVRSetTiltAngle

  Parameters:
    `tiltAngle` - The desired tilt angle of the specified movie.

### getFieldOfView

    public float getFieldOfView()

  You can use the QTVRGetFieldOfView function to get the vertical field of view of a QuickTime VR movie.
  QuickTime::QTVRGetFieldOfView

  Returns:
    the current vertical field of view of the specified movie.

### setFieldOfView

    public void setFieldOfView(float fieldOfView)
                        throws QTVRException

  You can use the QTVRSetFieldOfView function to set the vertical field of view of a QuickTime VR movie.
  QuickTime::QTVRSetFieldOfView

  Parameters:
    `fieldOfView` - The desired vertical field of view for the specified movie.

### getConstraints_min

    public float getConstraints_min(int kind)
                             throws QTVRException

  You can use the QTVRGetConstraints function to get the current constraints of a movie.
  QuickTime::QTVRGetConstraints

  Parameters:
    `kind` - The type of constraints to be returned.

### getConstraints_max

    public float getConstraints_max(int kind)
                             throws QTVRException

  You can use the QTVRGetConstraints function to get the current constraints of a movie.
  QuickTime::QTVRGetConstraints

  Parameters:
    `kind` - The type of constraints to be returned.

### setConstraints

    public void setConstraints(int kind,
                               float minValue,
                               float maxValue)
                        throws QTVRException

  You can use the QTVRSetConstraints function to set the constraints of a movie.
  QuickTime::QTVRSetConstraints

  Parameters:
    `kind` - The type of constraint to set..
    `minValue` - A floating-point value that contains the desired minimum constraint of the specified type.
    `maxValue` - A floating-point value that contains the desired maximum constraint of the specified type.

### setImagingProperty

    public void setImagingProperty(int imagingMode,
                                   int imagingProperty,
                                   int propertyValue)
                            throws QTVRException

  You can use the QTVRSetImagingProperty function to set the current value of an imaging property of a movie.
  QuickTime::QTVRSetImagingProperty

  Parameters:
    `imagingMode` - an imaging mode.
    `imagingProperty` - an imaging property.
    `propertyValue` - sets the current value of the specified imaging property for the specified mode.

### getImagingProperty

    public int getImagingProperty(int imagingMode,
                                  int imagingProperty)
                           throws QTVRException

  You can use the QTVRGetImagingProperty function to get the current value of an imaging property of a movie.
  QuickTime::QTVRGetImagingProperty

  Parameters:
    `imagingMode` - an imaging mode.
    `imagingProperty` - an imaging property.
  Returns:
    the current value of the specified imaging property for the specified mode.

### getAngularUnits

    public int getAngularUnits()

  You can use QTVRGetAngularUnits to get the type of unit currently used when specifying angles.
  QuickTime::QTVRGetAngularUnits

  Returns:
    a constant that indicates the type of angular units currently in use

### setAngularUnits

    public void setAngularUnits(int units)
                         throws QTVRException

  You can use QTVRSetAngularUnits to set the type of unit used when specifying angles.
  QuickTime::QTVRSetAngularUnits

  Parameters:
    `units` - A constant that indicates the type of angular units to use.

### ptToPanAngle

    public float ptToPanAngle(QDPoint pt)
                       throws QTVRException

  You can use QTVRPtToAngles to get the pan angle of a point.
  QuickTime::QTVRPtToAngles

  Parameters:
    `pt` - A point, in the local coordinates of the graphics world of the specified movie.

### ptToTiltAngle

    public float ptToTiltAngle(QDPoint pt)
                        throws QTVRException

  You can use QTVRPtToAngles to get the tilt angle of a point.
  QuickTime::QTVRPtToAngles

  Parameters:
    `pt` - A point, in the local coordinates of the graphics world of the specified movie.

### panToColumn

    public int panToColumn(float panAngle)

  You can use QTVRPanToColumn to get the column number in the object image array that corresponds to a pan angle.
  QuickTime::QTVRPanToColumn

  Parameters:
    `panAngle` - a pan angle.
  Returns:
    the column number in the object image array that corresponds to the specified pan angle.

### columnToPan

    public float columnToPan(int column)

  You can use QTVRColumnToPan to get the pan angle that corresponds to a column number in the object image array.
  QuickTime::QTVRColumnToPan

  Parameters:
    `column` - A column number.
  Returns:
    the pan angle that corresponds to the specified column number in the object image array.

### tiltToRow

    public int tiltToRow(float tiltAngle)

  You can use QTVRTiltToRow to get the row number in the object image array that corresponds to a tilt angle.
  QuickTime::QTVRTiltToRow

  Parameters:
    `tiltAngle` - a tilt angle.
  Returns:
    The row number in the object image array that corresponds to the specified tilt angle.

### rowToTilt

    public float rowToTilt(int row)

  You can use QTVRRowToTilt to get the tilt angle that corresponds to a row number in the object image array.
  QuickTime::QTVRRowToTilt

  Parameters:
    `row` - a row number.
  Returns:
    the tilt angle that corresponds to the specified row number in the object image array.

### wrapAndConstrain

    public float wrapAndConstrain(int kind,
                                  float value)
                           throws QTVRException

  You can use QTVRWrapAndConstrain to preflight a change in the viewing or control characteristics of an object or panoramic node.
  QuickTime::QTVRWrapAndConstrain

  Parameters:
    `kind` - a constraint type. See "Constraint Types" for a description of the available constraint types.
    `value` - the desired value of the specified viewing characteristic.

### setEnteringNodeProc

    public void setEnteringNodeProc(QTVREnteringNode enteringNodeProc,
                                    int flags)
                             throws QTVRException

  You can use the QTVRSetEnteringNodeProc function to install or remove a node-entering procedure.
  QuickTime::QTVRSetEnteringNodeProc

  Parameters:
    `enteringNodeProc` - an instance of the QTVREnteringNode object that will be called or null to remove the callback.
    `flags` - the flags
  See Also:
    `QTCallBack`

### removeEnteringNodeProc

    public void removeEnteringNodeProc()

  You can use the QTVRSetEnteringNodeProc function to remove a node-entering procedure.
  QuickTime::QTVRSetEnteringNodeProc

### setLeavingNodeProc

    public void setLeavingNodeProc(QTVRLeavingNode leavingNodeProc,
                                   int flags)
                            throws QTVRException

  You can use the QTVRSetLeavingNodeProc function to install or remove a node-leaving procedure.
  QuickTime::QTVRSetLeavingNodeProc

  Parameters:
    `leavingNodeProc` - an instance of the QTVRLeavingNode object that will be called or null to remove the callback.
    `flags` - the flags
  See Also:
    `QTCallBack`

### removeLeavingNodeProc

    public void removeLeavingNodeProc()

  You can use the QTVRSetLeavingNodeProc function to remove a node-leaving procedure.
  QuickTime::QTVRSetLeavingNodeProc

### setMouseOverHotSpotProc

    public void setMouseOverHotSpotProc(QTVRMouseOverHotSpot mouseOverHotSpotProc,
                                        int flags)
                                 throws QTVRException

  You can use the QTVRSetMouseOverHotSpotProc function to install or remove a mouse over hot spot procedure
  QuickTime::QTVRSetMouseOverHotSpotProc

  Parameters:
    `mouseOverHotSpotProc` - an instance of the QTVRMouseOverHotSpot object that will be called or null to remove the callback.
    `flags` - the flags
  See Also:
    `QTCallBack`

### removeMouseOverHotSpotProc

    public void removeMouseOverHotSpotProc()

  You can use the QTVRSetMouseOverHotSpotProc function to remove a mouse over hot spot procedure.
  QuickTime::QTVRSetMouseOverHotSpotProc

### installInterceptProc

    public void installInterceptProc(int selector,
                                     QTVRInterceptor interceptProc,
                                     int flags)
                              throws QTVRException

  You can use the QTVRInstallInterceptProc function to install or remove an intercept procedure for a QuickTime VR Manager function
  QuickTime::QTVRInstallInterceptProc

  Parameters:
    `selector` - only the non-mouse selectors are supported
    `interceptProc` - the interceptor or null to remove a previously specified callback for the specified selector.
    `flags` - the flags
  See Also:
    `QTCallBack`

### removeInterceptProc

    public void removeInterceptProc(int selector)
                             throws QTVRException

  You can use the QTVRInstallInterceptProc function to install or remove an intercept procedure for a QuickTime VR Manager function
  QuickTime::QTVRInstallInterceptProc

  Parameters:
    `selector` - only the non-mouse selectors are supported
    `interceptProc` - the interceptor or null to remove a previously specified callback for the specified selector.
    `flags` - the flags
  See Also:
    `QTCallBack`

### callInterceptedProc

    public void callInterceptedProc(QTVRInterceptRecord qtvrMsg)
                             throws QTVRException

  This method is used by the QTVRInterceptor execute method to call the QTVR default proc for the selector that was intercepted.
  QuickTime::QTVRCallInterceptedProc

  Parameters:
    `qtvrMessage` - the message as passed to the execute function
  See Also:
    `QTCallBack`

### showDefaultView

    public void showDefaultView()
                         throws QTVRException

  The showDefaultView method sets the default values of the pan angle, tilt angle, field of view, view center (for object nodes), default state, mouse-down state, and all applicable animation and control settings for the node specified by the QTVRInstance you call this on.
  QuickTime::QTVRShowDefaultView

### setViewCenter

    public void setViewCenter(QDPoint viewCenter)
                       throws QTVRException

  The setViewCenter method sets the view center of the QuickTimeÊVR movie specified by the qtvr parameter to the fixed point specified by the viewCenter parameter.
  QuickTime::QTVRSetViewCenter

  Parameters:
    `viewCenter` - A QDPoint structure that contains the desired view center of the specified movie.

### getViewCenter

    public QDPoint getViewCenter()
                          throws QTVRException

  The getViewCenter method returns, in the QDPoint class, the x and y coordinates of the current view center of the QuickTimeÊVR movie specified by the QTVRInstance you call this on.
  QuickTime::QTVRGetViewCenter

  Returns:
    the veiw center

### getHotSpotType

    public int getHotSpotType(int hotSpotID)
                       throws QTVRException

  This method gets the type of a hot spot whose ID you specify. In combination with the kQTVRGetHotSpotTypeSelector intercept selector, this allows an application to change a hot spot's type dynamically.
  QuickTime::QTVRGetHotSpotType

  Parameters:
    `hotSpotID` - a hot spot ID
  Returns:
    the OSType of the hot spot specified by the hot spot ID.

### setPrescreenImagingCompleteProc

    public void setPrescreenImagingCompleteProc(QTVRImagingComplete imageCompleteProc,
                                                int flags)
                                         throws QTVRException

  This method installs a callback that is invoked every time a QTVRInstance is drawn. The application can use this callback to draw onto the QDGraphics that is supplied to the callback.
  QuickTime::QTVRSetPrescreenImagingCompleteProc

  Parameters:
    `imagingComplete` - the callback object
    `flags` - effect the conditions under which QTVR will invoke the callback
  See Also:
    `QTCallBack`

### removePrescreenImagingCompleteProc

    public void removePrescreenImagingCompleteProc()

  You can use the QTVRSetPrescreenImagingCompleteProc function to remove a prescreen imaging complete proc.
  QuickTime::QTVRSetPrescreenImagingCompleteProc

  See Also:
    `QTCallBack`

### getHotSpotRegion

    public Region getHotSpotRegion(int hotSpotID)
                            throws QTException

  The QTVRGetHotSpotRegion function returns, in the hotSpotRegion parameter, a handle to the region occupied by the hot spot, in the QuickTimeÊVR movie specified by the qtvr parameter, whose ID is specified by the hotSpotID parameter. The region is clipped to the bounds of the movie's graphics world.

  Parameters:
    `hotSpotID` - A hot spot ID
  Returns:
    the region occupied by the hot spot having the specified ID

### getVisibleHotSpots

    public int[] getVisibleHotSpots()

  Returns a list of IDs of all the hot spots in the QuickTimeÊVR instance that are currently visible.

  Returns:
    currently visible hot spot IDs

### ptToHotSpotID

    public int ptToHotSpotID(QDPoint pt)
                      throws QTVRException

  Returns the ID of the hot spot in the QuickTimeÊVR instance that lies directly under the point specified by the pt parameter. If no hot spot lies under that point, the method returns 0.

  Parameters:
    `pt` - A point, in the local coordinates of the graphics world of the specified movie
  Returns:
    the hot spot ID or 0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD